namespace PkmnLib.Plugin.Gen7.Scripts.Pokemon;

[Script(ScriptCategory.Pokemon, "helping_hand")]
public class HelpingHandEffect : Script, IScriptChangeBasePower, IScriptOnEndTurn
{
    /// <inheritdoc />
    public void ChangeBasePower(IExecutingMove move, IPokemon target, byte hit, ref ushort basePower) =>
        basePower = basePower.MultiplyOrMax(1.5f);

    /// <inheritdoc />
    public void OnEndTurn(IScriptSource owner, IBattle battle) => RemoveSelf();
}